package com.yc.education.mapper;

import com.yc.education.model.Personnel;
import com.yc.education.model.Productclassify;
import com.yc.education.util.MyMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PersonnelMapper extends MyMapper<Personnel> {
    List<Personnel> getPersonnels();
    Personnel getPersonnelById(Integer id);
    void delPersonnel(Integer id);
    Personnel getPersonnelLogin(@Param("name") String name,@Param("password") String password);
    /*后台分页查询*/
    List<Personnel> getPersonnelPage(@Param("titleName") String titleName);


}